Subject: Re: [net-next v7 0/8] net: wwan: add NMEA port type support

From: Jakub Kicinski <[email-masked]>
Date: Thu, 15 Jan 2026 18:43:52 -0800

On Thu, 15 Jan 2026 19:46:17 +0800 Slark Xiao wrote:
> The series introduces a long discussed NMEA port type support for the
> WWAN subsystem. There are two goals. From the WWAN driver perspective,
> NMEA exported as any other port type (e.g. AT, MBIM, QMI, etc.). From
> user space software perspective, the exported chardev belongs to the
> GNSS class what makes it easy to distinguish desired port and the WWAN
> device common to both NMEA and control (AT, MBIM, etc.) ports makes it
> easy to locate a control port for the GNSS receiver activation.

I'm going to release the results of AI code review. Since you ignored
the reposting period with this version please do not post v8 until
next week.